$(function() {
    $('#btnlogin').click(function() {
        $('#btnlogin').button('loading');
        var login = $('#login').val();
        var pass = $('#pass').val();
        var cap = $('#wu-cap-log').val();
        $.ajax({
            url: 'http://' + ndomain + '/admin/login.php',
            dataType: 'jsonp',
            jsonpCallback: 'login',
            crossDomain: true,
            type: 'GET',
            data: { 'login': login, 'pass': pass, 'cap': cap, 'token': token },
            cache: false,
            success: function(data) {
                $('#btnlogin').button('reset');
                var resp = data;
                var res = resp['result'];
                if (res == 0) {
                    $.jGrowl('Неверный логин или пароль', { theme: 'growl-error' });
                    document.getElementById('icapimg').src = 'http://' + ndomain + '/inc/captcha.php?rnd=' + Math.random();
                    $('#wu-cap-log').val('');
                }
                if (res == 1) { location.reload(); }
                if (res == 2) {
                    $.jGrowl('Попробуйте войти позднее', { theme: 'growl-error' });
                    document.getElementById('icapimg').src = 'http://' + ndomain + '/inc/captcha.php?rnd=' + Math.random();
                    $('#wu-cap-log').val('');
                }
                if (res == 3) {
                    $.jGrowl('Не введён логин или пароль', { theme: 'growl-error' });
                    document.getElementById('icapimg').src = 'http://' + ndomain + '/inc/captcha.php?rnd=' + Math.random();
                    $('#wu-cap-log').val('');
                }
                if (res == 4) { jerr(); }
                if (res == 5) {
                    $.jGrowl('Неверно введена капча', { theme: 'growl-error' });
                    document.getElementById('icapimg').src = 'http://' + ndomain + '/inc/captcha.php?rnd=' + Math.random();
                    $('#wu-cap-log').val('');
                }
            },
            error: function() {
                $('#btnlogin').button('reset');
                serr();
            }
        });
    });
});